#!/bin/sh
#
# get_opsys.com
#
#Date: Tue, 18 Apr 95 16:49 EDT
#From: scott@bgs.com (Scott Bailey)
# Modified by Urs Kradolfer, 20.4.95
# Modified upon notification from Klaus Stammler for Solaris 5.5.1, 16.9.96
#
PATH="/bin:/usr/bin:/etc:/sbin:/usr/sbin:/usr/ucb"
export PATH
#
OPSYS="`uname -s`"
VERSION="`uname -r`"
#
echo "Operating system: $OPSYS           Version: $VERSION"
#
if test "$OPSYS" = "SunOS" ; then
   VERSION="`uname -r | cut -d/ -f2`"
   case "$VERSION" in
     "4"*) echo "SunOS"
           exit
           ;;
    "5.3") echo "Solaris"
           exit
           ;;
    "5.4") echo "Solaris"
           exit
           ;;
   "5.5"*) echo "Solaris5.5"
           exit
           ;;
   "5.6"*) echo "Solaris5.6"
           exit
           ;;
        *) echo " "
           echo "Time to update this script (get_opsys.com) to handle new version($VERSION)"
           echo " "
           exit
           ;;
   esac
fi
if test "$OPSYS" = "HP-UX" ; then
   VERSION="`uname -r | cut -d"." -f2`"
   case "$VERSION" in
     "08") echo "HP-UX"
           exit
           ;;
     "09") echo "HP-UX"
           exit
           ;;
     "10") echo "HP-UX10"
           exit
           ;;
        *) echo "Time to update this script (get_opsys.com) to handle new version($VERSION)"
           exit
           ;;
   esac
fi
if test "$OPSYS" = "AIX" ; then
   echo "AIX"
   exit
fi
if test "$OPSYS" = "OSF1" ; then
   echo "OSF1"
   exit
fi
if test "$OPSYS" = "Linux" ; then
   echo "Linux"
   exit
fi
echo "unknown"
#
