      subroutine PUBLICSTATION(stn,lpublic)
c
c     EXAMPLE OF A ROUTINE WHERE NON-PUBLIC STATIONS MAY BE SPECIFIED!
c
c     Urs Kradolfer, 3.4.91
c
c     Input:  stn      Station name (character)
c     Output: lpublic  (logical)
c                      .true.  : Station is open to the puplic
c                      .false. : station where no data is provided by AutoDRM
c
c     In this sample subroutine no data will be provided by AutoDRM for the
c     stations with the codes 'XYZ' and '1234'
c
      implicit none
      integer i
      character*(*) stn
      logical lpublic
      character*4 stnint(2)
      data stnint/'XYZ ','1234'/
c
      lpublic=.false.
      do i=1,2
         if(stn.eq.stnint(i)) RETURN
      enddo
      lpublic=.true.
      RETURN
      end ! of subr. publicstation
c
